"use strict";
(function ($) {
    $.view_list_customer = function (element, options) {
        var defaults = {
            class_name_drawerel: ""
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element),
            element = element;
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('#example').DataTable({
                drawCallback: function () {
                    $element.find('input[type="checkbox"]').iCheck({
                        checkboxClass: 'icheckbox_square-red',
                        radioClass: 'iradio_square-red',
                        increaseArea: '20%'
                    });
                }
            });

        };
        plugin.example_function = function () {
        };
        plugin.init();
    }
    $.fn.view_list_customer = function (options) {
        return this.each(function () {
            if (undefined == $(this).data('view_list_customer')) {
                var plugin = new $.view_list_customer(this, options);
                $(this).data('view_list_customer', plugin);
            }
        });
    }
})(jQuery);
